Integration GuidesDocs
Coverage MatrixDocumentationChange LogLog InContact Us
Docs

Competition Info

Global Baseball Competition Info provides the name, id, and parent id for a given competition.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
⏱️

Update Frequency

TTL / Cache: 5 minutes

Data Updates: Change at season boundaries and when competitions are added

Recommended polling cadences for every feed are on the Update Frequencies chart of the Global Baseball Integration Guide.

📘

Loading Competitions and Seasons

Learn how to use the Competition Info feed to read a competition's details before pulling its seasons in our Pulling Schedules and Results integration scenario.


Data Points

Category & Sport
AttributeParent ElementTypeDescription
country_codecompetition - categoryStringCountry code for a competition category

ex. JPN (Japan)
idcompetition - categoryStringUnique category ID for a competition

ex. sr:category:211
namecompetition - categoryStringName for a competition category

ex. Japan
Competition
AttributeParent ElementTypeDescription
gendercompetitionStringGender for a competition

men, women
idcompetitionStringUnique ID for a competition

ex. sr:competition:1036 (NPB)
namecompetitionStringName of a competition

ex. NPB, Italian Baseball League
parent_idcompetitionStringUnique parent ID for a competition. Typically present for group competitions

ex. sr:competition:37221 used to group NCAA tournaments.
Path Params
string
enum
required
Defaults to baseball

Sport type

baseball, softball

Allowed:
string
enum
required
Defaults to trial

The access level of your API key

trial, production

Allowed:
string
enum
required
Defaults to en

2-letter code for supported languages

en (English), es (Spanish), ja (Japanese), ko (Korean), zh (Chinese - simplified), zht (Chinese - traditional)

The above codes are the fully supported languages for this API. Click here for valid language codes and a tabular list of available languages per competition.

Allowed:
string
required
Defaults to sr:competition:1036

Unique Id of a competition, found in the Competitions endpoint.

Example: sr:competition:1036

string
enum
required
Defaults to json

Format returned

json, xml

Allowed:
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json